Skip to main content

Notice

Please note that most of the software linked on this forum is likely to be safe to use. If you are unsure, feel free to ask in the relevant topics, or send a private message to an administrator or moderator. To help curb the problems of false positives, or in the event that you do find actual malware, you can contribute through the article linked here.
Topic: [POINTLESS] adplug plugin 1.52 files don't play (Read 501 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Re: adplug plugin 1.52 files don't play

Reply #1
The .sci files need a "patch.003" instrument bank, specific to the game, in the same directory as the .sci files, or they won't play.

The .dro files are captured with an unsupported version of the DRO format. AdPlug supports version 1.0, or 0x10000.

The .ksm file requires an instrument bank as well, "insts.dat", also in the same directory as the .ksm file(s).

I did fix a single error, that my file open function was allowed to throw exceptions on to the caller. Now, it will instead catch the exceptions and return a null pointer. I'm also adding console logging of all AdPlug messages.

Re: adplug plugin 1.52 files don't play

Reply #2
- Where can I download instrument banks?

- I thought Adplug supports DRO v1 and v2? Because it uses WoodyOPL, the emulator of DOSBox which supports both DRO versions.
What version are those files?
Foobar2000 - It Really Whips ALL Llamas' Ass!

Re: adplug plugin 1.52 files don't play

Reply #3
What does this mean: Added console logging of all AdPlug debug notices?

This is not the 'playback error' window or is it?
Foobar2000 - It Really Whips ALL Llamas' Ass!

Re: adplug plugin 1.52 files don't play

Reply #4
Drop Foobar's "View" menu, choose "Console"

Re: adplug plugin 1.52 files don't play

Reply #5
WoodyOPL is an OPL emulator, DRO is a log format. They are two separate things.

 
SimplePortal 1.0.0 RC1 © 2008-2021